Anonymous Login
2019-07-18 19:43 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001477OpenClonkEngine - GUIpublic2016-01-20 08:45
ReporterClonkonaut 
Assigned ToZapper 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformPCOSWindowsOS Version8.1
Product Version 
Target VersionFixed in Version 
Summary0001477: Goal display has wrong position at startup
DescriptionThe goal icon in the upper right corner is set to a wrong position upon startup.
Only something updating the GUI (like inventory change) repositions the icon.

With the new wealth icon this is especially bad because GUI_Controller->ShowWealth() in InitializePlayer will not update the goal icon's position (test by playing Gold Rush). The goal and wealth icon will then overlap!

Scriptwise, I have no idea why the icon behaves like this.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0004254

Clonkonaut (developer)

Last edited: 2015-12-05 11:44

View 2 revisions

Reminder sent to: Zapper

I suspect a bug in the GUI code but might be wrong. As written, scriptwise I have no idea why this is happening.

~0004255

Sven2 (developer)

Last edited: 2015-12-05 17:34

View 2 revisions

I've seen odd behaviour with the goal icon moving e.g. in Fight4Gidl.

I think the best way to fix it would be to have a base library for "Icons in the Top Right Corner", which include a priority and stack positioning automatically. That would also allow us to show multiple goal icons if we wanted to and specific stuff like number of extra lives in Doomsday.

~0004400

Zapper (developer)

Fixed. Was an engine problem where the GUI windows would be treated as non GUI_Multiple (and thus had the default margin applied).
+Notes

-Issue History
Date Modified Username Field Change
2015-12-05 11:42 Clonkonaut New Issue
2015-12-05 11:44 Clonkonaut Note Added: 0004254
2015-12-05 11:44 Clonkonaut Note Edited: 0004254 View Revisions
2015-12-05 16:29 Sven2 Note Added: 0004255
2015-12-05 17:34 Sven2 Note Edited: 0004255 View Revisions
2015-12-27 14:48 Zapper Note Added: 0004400
2015-12-27 14:48 Zapper Status new => resolved
2015-12-27 14:48 Zapper Resolution open => fixed
2015-12-27 14:48 Zapper Assigned To => Zapper
+Issue History